<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  </configSections>
  <log4net>
    <!--定义输出到文件中-->
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <!--定义文件存放位置-->
      <file value="log//"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyy\\yyyyMM\\yyyyMMdd'.txt'"/>
      <staticLogFileName value="false"/>
      <param name="MaxSizeRollBackups" value="100"/>
      <layout type="log4net.Layout.PatternLayout">
        <!--每条日志末尾的文字说明-->
        <!--输出格式-->
        <!--样例：2008-03-26 13:42:32,111 [10] INFO  Log4NetDemo.MainClass [(null)] - info-->
        <conversionPattern value="%newline %n记录时间：%date %n线程ID:[%thread] %n日志级别：  %-5level %n出错类：%logger property: [%property{NDC}] - %n错误描述：%message%newline %n"/>
      </layout>
    </appender>
    <!--定义输出到控制台命令行中-->
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%date][%-5level]%logger [%M]%newline%message%newline" />
      </layout>

    </appender>
    
    <root>
      <level value="DEBUG" />
      <!--指定将此级别及以上的log打印到log文件中,调试/开发的时候不输出到日志，
          发布成软件之后使用日志输出,并提升到Error级别 -->
      <!--
      <appender-ref ref="RollingLogFileAppender" />
      -->
      <!--控制台控制显示日志   -->
      <appender-ref ref="ConsoleAppender" />

      <!--Windows事件日志 -->
      <appender-ref ref="EventLogAppender" />
    </root>
  </log4net>
</configuration>
